##
##  libjit.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2015 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libjit
Summary:      Just-In-Time Compiler/Interpreter Library
URL:          https://www.gnu.org/software/libjit/
Vendor:       Rhys Weatherley
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Compiler
License:      LGPL
Version:      20150828
Release:      20150828

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/libjit/libjit-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20140101, make, flex, bison, gcc, autoconf, automake, libtool
PreReq:       OpenPKG, openpkg >= 20140101

%description
    The libjit library implements Just-In-Time compilation
    functionality. Unlike other JIT's, this one is designed to be
    independent of any particular virtual machine bytecode format or
    language. This JIT is also designed to be portable to multiple
    archictures. If you run libjit on a machine for which a native
    code generator is not yet available, then libjit will fall back to
    interpreting the code. This way, you don't need to write your own
    interpreter for your bytecode format if you don't want to.

%track
    prog libjit = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/libjit/
        regex     = libjit-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n libjit

%build
    sh auto_gen.sh
    ( echo "ac_cv_header_tgmath_h=no"
    ) >config.cache
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --cache-file=./config.cache \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

